> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/common/network-environment/version.md).

# Version

### 1. Getting the Toss app version (`getTossAppVersion`)

`getTossAppVersion` This function gets the Toss app version. For example, `5.206.0`it returns in a format like this. It is used to log the Toss app version, or when a specific feature should run only on versions above a certain one.

**Signature**

```typescript
function getTossAppVersion(): string;
```

**Return value**

* string

  Toss app version

**Example**

{% tabs %}
{% tab title="js" %}

```js
import { getTossAppVersion } from '@apps-in-toss/web-framework';

const tossAppVersion = getTossAppVersion();
```

{% endtab %}

{% tab title="React" %}

```tsx
import { getTossAppVersion } from '@apps-in-toss/web-framework';
import { Text } from '@toss/tds-mobile';

function TossAppVersionPage() {
  const tossAppVersion = getTossAppVersion();

  return <Text>{tossAppVersion}</Text>;
}
```

{% endtab %}

{% tab title="React Native" %}

```tsx
import { getTossAppVersion } from '@apps-in-toss/framework';
import { Text } from '@toss/tds-react-native';

function TossAppVersionPage() {
  const tossAppVersion = getTossAppVersion();

  return <Text>{tossAppVersion}</Text>;
}
```

{% endtab %}
{% endtabs %}

***

### 2. Checking the app's minimum version (`isMinVersionSupported`)

This function checks whether the version of the Toss app currently running satisfies the minimum version requirements passed as a parameter. When a specific feature works only in the latest version, you can guide users to update the app.

**Signature**

```typescript
function isMinVersionSupported(minVersions: {
  android: `${number}.${number}.${number}` | 'always' | 'never';
  ios: `${number}.${number}.${number}` | 'always' | 'never';
}): boolean;
```

**Parameter**

* **minVersions** · Required · `Object`

  An object that specifies the minimum version requirements for each platform.

  * **minVersions.android** · Required · `(`${number}.${number}.${number} `| &#39;always&#39; | &#39;never&#39;)`

    This is the minimum version requirement for the Android platform.
  * **minVersions.ios** · Required · `(`${number}.${number}.${number} `| &#39;always&#39; | &#39;never&#39;)`

    This is the minimum version requirement for the iOS platform.

**Return value**

* boolean

  Returns true if the current app version is at or above the minimum version, otherwise false.

**Example**

{% tabs %}
{% tab title="js" %}

```js
import { isMinVersionSupported } from '@apps-in-toss/web-framework';

const isSupported = isMinVersionSupported({
  android: '1.2.0',
  ios: '1.3.0',
});
```

{% endtab %}

{% tab title="React" %}

```tsx
import { isMinVersionSupported } from '@apps-in-toss/web-framework';
import { Text } from '@toss/tds-mobile';

function VersionCheck() {
  const isSupported = isMinVersionSupported({
    android: '1.2.0',
    ios: '1.3.0',
  });

  return <div>{!isSupported && <Text>An update to the latest version is required.</Text>};
}
```

{% endtab %}

{% tab title="React Native" %}

```tsx
import { isMinVersionSupported } from '@apps-in-toss/framework';
import { Text } from '@toss/tds-react-native';
import { View } from 'react-native';

function VersionCheck() {
  const isSupported = isMinVersionSupported({
    android: '1.2.0',
    ios: '1.3.0',
  });

  return <View>{!isSupported && <Text>An update to the latest version is required.</Text>}</View>;
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/common/network-environment/version.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
